import numpy as np
import cv2
import sys
cap = cv2.VideoCapture(sys.argv[1])
cap.set(cv2.CAP_PROP_POS_FRAMES, 8)
while(cap.isOpened()):
    ret, frame = cap.read()
    #cv2.namedWindow("window", cv2.WND_PROP_FULLSCREEN)
    #cv2.setWindowProperty("window",cv2.WND_PROP_FULLSCREEN,cv2.WINDOW_FULLSCREEN)
    if ret:
        cv2.imshow("VideoResultado", cv2.resize(frame,None,fx=0.4, fy=0.4, interpolation = cv2.INTER_CUBIC))
    else:
       print('no video')
       cap.set(cv2.CAP_PROP_POS_FRAMES, 0)

    if cv2.waitKey(80) & 0xFF == ord('q'):
        break


cap.release()
cv2.destroyAllWindows()